Package org.gradle.caching.local

# Class DirectoryBuildCache

java.lang.Object
org.gradle.caching.configuration.AbstractBuildCache
org.gradle.caching.local.DirectoryBuildCache

All Implemented Interfaces:
  `BuildCache`

public abstract class DirectoryBuildCache extends AbstractBuildCache
Configuration object for the local directory build cache.

Since:
  3.5

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DirectoryBuildCache()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable Object`
  `getDirectory()`
  Returns the directory to use to store the build cache.
  `void`
  `setDirectory(@Nullable Object directory)`
  Sets the directory to use to store the build cache.

  ### Methods inherited from class org.gradle.caching.configuration.AbstractBuildCache

  `isEnabled, isPush, setEnabled, setPush`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DirectoryBuildCache

    public DirectoryBuildCache()

- ## Method Details

  - ### getDirectory

    public @Nullable Object getDirectory()
    Returns the directory to use to store the build cache.

  - ### setDirectory

    public void setDirectory(@Nullable Object directory)
    Sets the directory to use to store the build cache. The directory is evaluated as per `Project.file(Object)`.